LibreOffice: XStreamListener Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStreamListener Interface Referencepublished

makes it possible to receive events from an active data control. More...

`import "XStreamListener.idl";`

Inheritance diagram for XStreamListener:

## Public Member Functions
void | started ()
| gets called as soon as data transfer has started.
void | closed ()
| gets called when data transfer terminates normally or when data transfer is terminated from outside.
void | terminated ()
| gets called when XActiveDataControl::terminate() is called.
void | error ([in] any aException)
| gets called when an internal error in source or sink has occurred.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events from an active data control.

## Member Function Documentation

## ◆ closed()

void closed | ( |  | ) |

gets called when data transfer terminates normally or when data transfer is terminated from outside.

The termination could be done using the method XActiveDataControl::terminate().

## ◆ error()

void error | ( | [in] any | aException | ) |

gets called when an internal error in source or sink has occurred.

After the method is called, the close is called on the connected streams.

## ◆ started()

void started | ( |  | ) |

gets called as soon as data transfer has started.

## ◆ terminated()

void terminated | ( |  | ) |

gets called when XActiveDataControl::terminate() is called.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XStreamListener.idl